# Endpoints

To receive webhook events, you must add a *webhook endpoint* to your Rewardful account. You can add, edit, or remove endpoints from the [Webhooks](https://app.getrewardful.com/webhooks) page in your Rewardful dashboard.

And endpoint is simply a URL *on your application* that Rewardful will send data to when an event occurs.

An example endpoint: `http://app.example.com/webhooks/rewardful`

{% hint style="info" %}
Your webhook endpoints must be served over HTTP/SSL.
{% endhint %}

Your endpoint must be capable of receiving and processing JSON data sent from Rewardful's servers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.rewardful.com/webhooks/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
